KIconViewItem class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIconViewItem Class Reference

KIconViewItem exists to improve the word-wrap functionality of QIconViewItem Use KIconViewItem instead of QIconViewItem for any iconview item you might have :) A variant of QIconViewItem that wraps words better. More...

`#include <kiconview.h>`

Inheritance diagram for KIconViewItem:

[legend]
Collaboration diagram for KIconViewItem:

[legend]
List of all members.

## Public Member Functions
| KIconViewItem (QIconView *parent)
| KIconViewItem (QIconView *parent, QIconViewItem *after)
| KIconViewItem (QIconView *parent, const QString &text)
| KIconViewItem (QIconView *parent, QIconViewItem *after, const QString &text)
| KIconViewItem (QIconView *parent, const QString &text, const QPixmap &icon)
| KIconViewItem (QIconView *parent, QIconViewItem *after, const QString &text, const QPixmap &icon)
| KIconViewItem (QIconView *parent, const QString &text, const QPicture &picture)
| KIconViewItem (QIconView *parent, QIconViewItem *after, const QString &text, const QPicture &picture)
## Protected Member Functions
void | init ()
virtual void | calcRect (const QString &text_=QString::null)
virtual void | paintItem (QPainter *p, const QColorGroup &c)

## Detailed Description

KIconViewItem exists to improve the word-wrap functionality of QIconViewItem Use KIconViewItem instead of QIconViewItem for any iconview item you might have :) A variant of QIconViewItem that wraps words better.

Author:
  David Faure <david@mandrakesoft.com>

Definition at line 177 of file kiconview.h.

The documentation for this class was generated from the following files:

- kiconview.h
- kiconview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:01:08 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001